# Interface BackgroundProcess

All Known Implementing Classes:
  `WsServerContainer, WsWebSocketContainer, WsWriteTimeout`

public interface BackgroundProcess
Interface for objects that need periodic background processing.

## Method Summary

Modifier and Type
Method
Description
`void`
`backgroundProcess()`
Performs background processing.
`int`
`getProcessPeriod()`
`void`
`setProcessPeriod(int period)`
Sets the period, in seconds, between invocations of `backgroundProcess()`.

## Method Details

### backgroundProcess

void backgroundProcess()
Performs background processing.

### setProcessPeriod

void setProcessPeriod(int period)
Sets the period, in seconds, between invocations of `backgroundProcess()`.

Parameters:
  `period` - the period in seconds

### getProcessPeriod

int getProcessPeriod()